package de.ozgcloud.eingang.fim;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import lombok.Getter;
import org.springframework.validation.annotation.Validated;

import java.util.ArrayList;
import java.util.List;

@Validated
@Configuration
@ConfigurationProperties(prefix = FimProperties.PROPERTIES_PREFIX)
@Getter
public class FimProperties {
    static final String PROPERTIES_PREFIX = "fim";

    /**
     * List of paths to fim scheme files which should be processed by the fim-adapter.
     *
     * Only fim data that is in the namespace and versions of these files will be mapped by the fim-adapter.
     * All other fim data will be left untouched by the mapper.
     */
    private final List<String> schemeLocations = new ArrayList<>();
}
