package de.ozgcloud.eingang.common.zufi;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.ozgcloud.eingang.Application;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcOrganisationsEinheitGetRequest;
import de.ozgcloud.zufi.grpc.organisationseinheit.OrganisationsEinheitServiceGrpc.OrganisationsEinheitServiceBlockingStub;
import net.devh.boot.grpc.client.inject.GrpcClient;

@Service
class OrganisationsEinheitRemoteService {

	@GrpcClient(Application.ZUFI_MANAGER_GRPC_CLIENT)
	private OrganisationsEinheitServiceBlockingStub serviceStub;
	@Autowired
	private OrganisationsEinheitMapper mapper;

	public OrganisationsEinheit getById(String id) {
		var response = serviceStub.getById(GrpcOrganisationsEinheitGetRequest.newBuilder().setId(id).build());

		return mapper.fromGrpc(response.getOrganisationsEinheit());
	}
}
